<?php 
if (!function_exists('the_blogging_banner_carousel')) :
    /**
     * Banner Slider
     *
     * @since The Blogging 1.0.0
     *
     */
    function the_blogging_banner_carousel()
    {
        if (1 != the_blogging_get_option('show_banner_carousel_section')) {
            return null;
        } ?>
        <?php $rtl_class_c = 'false';
        if(is_rtl()){ 
            $rtl_class_c = 'true';
        }?>
            <div class="twp-scroller twp-slick"  data-slick='{"rtl": <?php echo($rtl_class_c); ?>}'>
                <?php
                $the_blogging_banner_carousel_category = absint(the_blogging_get_option('select_category_for_banner_carousel'));
                $the_blogging_banner_carousel_number = absint(the_blogging_get_option('number_of_banner_carousel_section'));
                $qarg = array(
                    'posts_per_page' => $the_blogging_banner_carousel_number,
                    'post_type' => 'post',
                    'cat' => $the_blogging_banner_carousel_category,
                );
                $the_blogging_banner_carousel_querys = new WP_Query($qarg);
                ?>
                <?php
                if ($the_blogging_banner_carousel_querys->have_posts()) :
                    while ($the_blogging_banner_carousel_querys->have_posts()) : $the_blogging_banner_carousel_querys->the_post();
                        if (has_post_thumbnail()) {
                            $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium');
                            $url = $thumb['0'];
                        }
                        ?>
                        <div class="scroller-item">
                            <article class="article-col">
                                <div class="article-container-col">
                                    <div class="article-image">
                                        <div class="bg-image bg-image-2">
                                            <?php if (has_post_thumbnail()) { ?>
                                                <img src="<?php echo esc_url($url); ?>">
                                            <?php  } ?>
                                        </div>
                                    </div>
                                    <div class="article-item-content">
                                        <h3 class="entry-title entry-title-small">
                                            <?php 
                                            $the_blogging_slider_layout = esc_attr(the_blogging_get_option('slider_section_layout'));
                                            if ($the_blogging_slider_layout == 'twp-slider-1') { ?>
                                                <?php 
                                                    $the_blogging_banner_text_color = the_blogging_get_option('banner_text_color');
                                                ?>
                                                <a href="<?php the_permalink(); ?>" style="color:<?php echo esc_attr($the_blogging_banner_text_color) ?>;">
                                                    <?php the_title();?>
                                                </a>
                                            <?php } else { ?>
                                                <a href="<?php the_permalink(); ?>">
                                                    <?php the_title();?>
                                                </a>
                                            <?php }?>
                                        </h3>
                                    </div>
                                </div>
                            </article>
                        </div>
                    <?php
                    endwhile;
                    wp_reset_postdata();
                endif; ?>
            </div>
    <?php }
endif;

add_action('the_blogging_action_banner_carousel', 'the_blogging_banner_carousel', 10);