<?php
if (!function_exists('the_blogging_featured_blog_args')) :
    /**
     * Fullwidth Details
     *
     * @since The Blogging 1.0.0
     *
     * @return array $qargs Slider details.
     */
    function the_blogging_featured_blog_args()
    {
        $the_blogging_fullwidth_featured_blog_number = 4;
        $the_blogging_fullwidth_featured_blog_category = esc_attr(the_blogging_get_option('select_category_for_feature_blog'));
        $qargs = array(
            'posts_per_page' => esc_attr($the_blogging_fullwidth_featured_blog_number),
            'post_type' => 'post',
            'cat' => $the_blogging_fullwidth_featured_blog_category,
        );
        return $qargs;
    }
endif;


if (!function_exists('the_blogging_fullwidth_featured_blog')) :
    /**
     * Banner Slider
     *
     * @since The Blogging 1.0.0
     *
     */
    function the_blogging_fullwidth_featured_blog()
    {
        $the_blogging_fullwidth_featured_blog_button_text = esc_html(the_blogging_get_option('button_text_on_feature_blog'));

        $the_blogging_fullwidth_featured_blog_excerpt_number = absint(the_blogging_get_option('number_of_content_home_feature_blog'));
        if (1 != the_blogging_get_option('show_feature_blog_section')) {
            return null;
        }
        $the_blogging_featured_blog_args = the_blogging_featured_blog_args();
        $the_blogging_fullwidth_featured_blog_query = new WP_Query($the_blogging_featured_blog_args); ?>
        <section class="section-slider section-block">
            <div class="container">
                <?php $rtl_class_c = 'false';
                if(is_rtl()){ 
                    $rtl_class_c = 'true';
                }?>
                <div class="twp-slider-section" data-slick='{"rtl": <?php echo($rtl_class_c); ?>}'>
                    <?php
                    if ($the_blogging_fullwidth_featured_blog_query->have_posts()) :
                        $slider_nav = '';
                        while ($the_blogging_fullwidth_featured_blog_query->have_posts()) : $the_blogging_fullwidth_featured_blog_query->the_post();
                            if (has_post_thumbnail()) {
                                $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'the-blogging-main-banner');
                                $url = $thumb['0'];
                                $thumbs = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium');
                                $urls = $thumbs['0'];
                            }
                            if (has_excerpt()) {
                                $the_blogging_fullwidth_featured_blog_content = get_the_excerpt();
                            } else {
                                $the_blogging_fullwidth_featured_blog_content = the_blogging_words_count($the_blogging_fullwidth_featured_blog_excerpt_number, get_the_content());
                            }
                            ?>
                            <div class="single-slide">
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="slidernav">
                                            <div class="twp-slide-prev tertiary-color slide-prev-1">
                                                <i class="navcontrol-transparent ion-ios-arrow-left"></i>
                                            </div>
                                            <div class="twp-slide-next tertiary-color slide-next-1">
                                                <i class="navcontrol-transparent ion-ios-arrow-right"></i>
                                            </div>
                                        </div>
                                        <div class="slide-bg-wrapper article-image-radius">
                                            <div class="slide-bg bg-image">
                                                <?php if (has_post_thumbnail()) { ?> 
                                                    <img src="<?php echo esc_url($url); ?>">
                                                <?php  } ?>
                                            </div>
                                            <a href="<?php the_permalink(); ?>" class="article-item-link"></a>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="slide-text">
                                            <div class="slide-text-wrapper">
                                                <div class="post-category post-category-1">
                                                    <?php the_blogging_entry_category_no_seperator(); ?>
                                                </div>
                                                <h2>
                                                    <a href="<?php the_permalink(); ?>">
                                                        <?php the_title(); ?>
                                                    </a>
                                                </h2>
                                                <p class="visible hidden-xs"><?php echo wp_kses_post($the_blogging_fullwidth_featured_blog_content); ?></p>
                                                <?php 
                                                    $the_blogging_featured_blog_button_text = esc_html(the_blogging_get_option('button_text_for_feature_blog'));
                                                if (!empty($the_blogging_featured_blog_button_text)) { ?>
                                                    <a href="<?php the_permalink(); ?>" class="read-more">
                                                        <?php echo esc_html($the_blogging_featured_blog_button_text); ?> <i class="ion-ios-arrow-right"></i>
                                                <?php } ?>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                            /**/
                        endwhile;
                        wp_reset_postdata();
                    endif; ?>
                </div>
            </div>
        </section>

        <?php
    }
endif;
add_action('the_blogging_action_fullwidth_featured_blog', 'the_blogging_fullwidth_featured_blog', 10);